#include <avr/pgmspace.h>

#include "ser_io.h"
#include "unc_prim.h"

#include "print.h"

uint8_t force_to_serial = 0;

void print_char(uint8_t c)
{
    global_state_putchar(c);
    if(force_to_serial > 0 ||
        global_configuration.user_config_bytes[1] & 0x02
    ) {
        ser_io_pc(c);
    }
}

void print_str(const char *s)
{
#if 1
    while(*s)
        print_char(*s++);
#else
    while(pgm_read_byte(s))
        print_char(pgm_read_byte(s++));
#endif
}

void print_int(uint16_t d)
{
    char buf[6];
    char *p = buf+5;
    buf[5] = 0;
    if(d == 0) {
        *(--p) = '0';
    } else {
        while(d>0) {
            *(--p) = d % 10 + '0';
            d /= 10;
        }
    }
    print_str(p);
}

void print_hex_byte(uint8_t d)
{
    uint8_t c = d >> 4;
    c += (c < 10) ? '0' : ('a' - 10);
    print_char(c);
    c = d & 0x0f;
    c += (c < 10) ? '0' : ('a' - 10);
    print_char(c);
}

void print_hex(uint16_t d)
{
    print_hex_byte(d >> 8);
    print_hex_byte(d & 0xff);
}

