/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010-2011
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file ser_io.h
 * Interface to input/output routines for the COM port
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef SER_IO_H_SENTRY
#define SER_IO_H_SENTRY

#include <stdint.h>

/* initializes the uart device */
void init_ser_io(void);

void ser_io_pc(uint8_t c);

/* grabs the input away from the FSM, AND fills the buffer
   with as many chars as there are available at the input,
   but no more than buflen; remaining bytes are zeroed.
 */
void grab_uart_input(unsigned char *buf, unsigned char buflen);

/* ungrabs the input, thus returning it to the FSM */
void release_uart_input();

void set_echo(char yesno);

void process_serial_input();

#endif
