/*
 * UNC001 firmware. (c) Unicontrollers, Ltd., 2010-2012
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file unc_prim.c
 * Primary functions of the device: what the device actually can do
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef UNC_PRIM_H_SENTRY
#define UNC_PRIM_H_SENTRY

#include "unc_data.h"

extern struct unc001_global_configuration_str global_configuration;
extern struct unc001_global_state_str global_state;
extern struct unc001_extra_state_str extra_state;

void init_primary_hardware();
void restore_factory_defaults();
void sync_global_state();
void zero_counters(uint16_t *save);
void save_registers_to_eeprom();
void perform_action(uint8_t grp, uint8_t action);
void do_input_confirmation();

void process_delayed_actions();

void init_timer();

void set_global_state_diags(uint8_t req, uint8_t req_state, const char *msg);
void global_state_putchar(uint8_t ch);
void global_state_puts(const char *msg); // XXXXX to be removed later
void global_state_drop_message();

#endif
