/*
 * UNC001 host-side software. (c) Unicontrollers, Ltd., 2010-2012
 *
 * Please see the files README, COPYING, LICENSE and WARRANTY
 * for some useful details on the legal status of this code.
 * Visit the site http://www.unicontrollers.com for more info.
 *
 * file unc_id.h
 * Numbers and strings used to identify the UNC001 devices on the USB bus
 *
 * Written by Andrey V. Stolyarov
 *
 */

#ifndef UNC_ID_H_SENTRY
#define UNC_ID_H_SENTRY

    /* we're using "shared" vid/pid granted by obdev.at */
#define UNC_VENDOR_ID          0x16c0
#define UNC_DEVICE_ID          0x05df

    /* 00.01 is the development firmware version */
    /* 00.02 is the first version flashed in the devices to be sold */
    /* 00.10 is the development version for a UNC01x */
    /* 00.11 is the production version for UNC0xx shipped since April 2012 */
#define UNC_DEVICE_VERSION     0x0011

    /* our "real" identification is the strings... */
#define UNC_VENDOR_NAME    "Unicontrollers http://www.unicontrollers.com"
#define UNC_DEVICE_NAME    "Electric circuit switch UNC0xx"


#define UNC_DEVICE_NAME_001_DEPRECATED "Electric circuit switch UNC001 '1"
#define UNC_DEVICE_NAME_001_LEGACY     "Electric circuit switch UNC001"


#endif
